﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace TelerikWpfApp10
{
    public class DataItem
    {
        public ObservableCollection<Node> Nodes { get; set; }

        public DataItem()
        {
            this.Nodes = FillNodes();
        }

        public ObservableCollection<Node> FillNodes() 
        {
            ObservableCollection<Node> nodes = new ObservableCollection<Node>();
            for (int i = 0; i < 10; i++)
            {
                Node node = new Node(string.Format("{0} Node", i.ToString()));
                nodes.Add(node);
            }
            return nodes;
        }
    }

    public class Node 
    {
        public ObservableCollection<Signal> Signals { get; set; }
        public string Name { get; set; }

        public Node(string name)
        {
            this.Signals = GetSignals();
            this.Name = name;
        }

        public ObservableCollection<Signal> GetSignals() 
        {
            ObservableCollection<Signal> signals = new ObservableCollection<Signal>();
            for (int i = 0; i < 100; i++)
            {
                Signal signal = new Signal() { Name = string.Format("Name {0}", i.ToString()), ID = i };
                signals.Add(signal);
            }
            return signals;
        }
    }

    public class Signal 
    {
        public string Name { get; set; }
        public int ID { get; set; }
    }
}
